#include "MenuTextSwitchMc_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSwitchMc_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSwitchMc_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_switchMc;
}

std::shared_ptr<Entity> CreateMenuTextSwitchMc_Player2Keyboard()
{
	return std::make_shared<MenuTextSwitchMc_Player2Keyboard>();
}


